description: Adds a new guest's data.
operationId: createGuest
x-eov-operation-handler: endpoints
requestBody:
  description: Guest data
  required: true
  content:
    application/json:
      schema:
        $ref: '../index.yaml#/components/schemas/Guest'
responses:
  "201":
    description: Created
    content:
      application/json:
        schema:
          $ref: '../index.yaml#/components/schemas/Guest'
    headers:
      Location:
        description: URI of new item.
        explode: false
        required: true
        schema:
          minLength: 1
          nullable: false
          type: string
        style: simple
  "400":
    $ref: '../index.yaml#/components/responses/BadRequest'
  "409":
    $ref: '../index.yaml#/components/responses/Conflict'
  "500":
    $ref: '../index.yaml#/components/responses/ServerError'
